#include <bits/stdc++.h>
using namespace std;
//efikasnije?
typedef long long ll;
typedef long double ld;
vector<pair<ll,ll> > duzi1; //x/y>0
vector<pair<ll,ll> > duzi2; //x/y<0
vector<pair<ll,ll> > tacke;
multiset<pair<ll,pair<ll,ll> > > ms;
map<pair<ll,ll>,ll > mapara;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    //cout<<__gcd(1,0)<<endl;
    for(int i=0;i<n;i++)
    {
        int aa,bb;
        cin>>aa>>bb;
        tacke.push_back(make_pair(aa,bb));
    }
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            ll x=tacke[i].first-tacke[j].first;
            ll y=tacke[i].second-tacke[j].second;
            if((x>0 && y>0) || (x<0 && y<0) || (x==0) || (y==0) ) mapara[make_pair(abs(x),abs(y))]++;
            else mapara[make_pair(-abs(x),abs(y))]++;
        }
    }
    ll kolko=0;
    for(auto it:mapara)
    {
        kolko+=mapara[make_pair(2*it.first.first,2*it.first.second)];
    }
    cout<<kolko<<endl;

}